List gear items for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/gear/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/gear/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Gear and rigs
List gear items for the authenticated user.
GET
/
gear
/
items
List gear items for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/gear/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/gear/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Query Parameters
Available options:
CAMERA, TELESCOPE, MOUNT, GUIDER, FILTER, ACCESSORY, SOFTWARE, OTHER Available options:
1, true Response
Default Response
Show child attributes
Show child attributes